function DotTracker_PreCheck(dot, targetLevel)
	local show, minLevel;

	if ( dot == "A" ) then
		show = DotTracker_Setting.showDotA;
		minLevel = DotTracker_Setting.minLevelDotA;
	elseif ( dot == "B" ) then
		show = DotTracker_Setting.showDotB;
		minLevel = DotTracker_Setting.minLevelDotB;
	elseif ( dot == "C" ) then
		show = DotTracker_Setting.showDotC;
		minLevel = DotTracker_Setting.minLevelDotC;
	elseif ( dot == "D" ) then
		show = DotTracker_Setting.showDotD;
		minLevel = DotTracker_Setting.minLevelDotD;
	elseif ( dot == "E" ) then
		show = DotTracker_Setting.showDotE;
		minLevel = DotTracker_Setting.minLevelDotE;
	elseif ( dot == "F" ) then
		show = DotTracker_Setting.showDotF;
		minLevel = DotTracker_Setting.minLevelDotF;
	elseif ( dot == "G" ) then
		show = DotTracker_Setting.showDotG;
		minLevel = DotTracker_Setting.minLevelDotG;
	end

	if ( targetLevel > -1 ) then
		if ( targetLevel < minLevel ) then
			show = false;
		end
		if ( minLevel == -1 ) then
			show = false;
		end
	end

	return show;
end


function DotTracker_ReminderCheck(text, reminderDot, expires, duration)
	local displayDot, alpha, timeleft;

	displayDot = false;
	timeleft = expires - GetTime();
	alpha = 1;

	if ( reminderDot > duration ) then
		reminderDot = duration;
	end

	if ( reminderDot > timeleft ) then
		displayDot = true;
		text = string.format(text.." - %ds", timeleft);
		alpha = DotTracker_Options.reminderAlpha;
		if ( DotTracker_Options.reminderFadeUp == true ) then
			alpha = DotTracker_Options.reminderAlpha - (DotTracker_Options.reminderAlpha / (reminderDot / timeleft));
		end
	end

	if ( alpha > 1 ) then
		alpha = 1;
	elseif ( alpha < 0 ) then
		alpha = 0;
	end
	return displayDot, alpha, text, reminderDot;
end


function DotTracker_LoadReminder(dotLetter)
	if ( dotLetter == "A" ) then
		return DotTracker_Setting.reminderDotA;
	elseif ( dotLetter == "B" ) then
		return DotTracker_Setting.reminderDotB;
	elseif ( dotLetter == "C" ) then
		return DotTracker_Setting.reminderDotC;
	elseif ( dotLetter == "D" ) then
		return DotTracker_Setting.reminderDotD;
	elseif ( dotLetter == "E" ) then
		return DotTracker_Setting.reminderDotE;
	elseif ( dotLetter == "F" ) then
		return DotTracker_Setting.reminderDotF;
	else
		return DotTracker_Setting.reminderDotG;
	end
end


function DotTracker_SaveReminder(dotLetter, reminder)
	if ( dotLetter == "A" ) then
		DotTracker_Setting.reminderDotA = reminder;
	elseif ( dotLetter == "B" ) then
		DotTracker_Setting.reminderDotB = reminder;
	elseif ( dotLetter == "C" ) then
		DotTracker_Setting.reminderDotC = reminder;
	elseif ( dotLetter == "D" ) then
		DotTracker_Setting.reminderDotD = reminder;
	elseif ( dotLetter == "E" ) then
		DotTracker_Setting.reminderDotE = reminder;
	elseif ( dotLetter == "F" ) then
		DotTracker_Setting.reminderDotF = reminder;
	elseif ( dotLetter == "G" ) then
		DotTracker_Setting.reminderDotG = reminder;
	end
end


function DotTracker_DotCheck(dotLetter, dotText, targetLevel)
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local text, displayDot, timeleft, show, alpha, reminder;

	alpha = 1;

	show = DotTracker_PreCheck(dotLetter, targetLevel);
	if ( show == true ) then
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", dotText);
		text = dotText;
		if ( count == nil ) then
			displayDot = true;			
		else
			if ( caster == "player" ) then
				reminder = DotTracker_LoadReminder(dotLetter);
				displayDot, alpha, text, reminder = DotTracker_ReminderCheck(text, reminder, expires, duration);
				DotTracker_SaveReminder(dotLetter, reminder);
			else
				displayDot = true;
			end
		end
	end

	return displayDot, text, alpha;
end


function DotTracker_ShowFrame(show, showText, text, alpha, frame, frame_Text)
	if ( show == true ) then
		frame:Show();
		if ( showText == true ) then
			frame_Text:SetText(text);
		else
			frame_Text:SetText(" ");
		end
		frame:SetAlpha(alpha);			
	else
		frame:Hide();
	end
end


function DotTracker_DeathKnightCheck()
	local targetLevel, show, text, alpha;

	targetLevel = UnitLevel("target");

	show, text, alpha = DotTracker_DotCheck("A", DotTracker_DEATHKNIGHT_DotA, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("B", DotTracker_DEATHKNIGHT_DotB, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextB, text, alpha, DotTracker_DotB_Frame, DotTracker_DotB_Frame_Text);
end


function DotTracker_DruidCheck()
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local displayDot, timeleft;
	local targetLevel, show, text, alpha;

	alpha = 1;
	targetLevel = UnitLevel("target");

	show = DotTracker_PreCheck("A", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_DRUID_DotA;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_DRUID_DotA);
		if ( count == nil ) then						
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_DRUID_DotASun);
		if ( count == nil ) then						
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(DotTracker_DRUID_DotASun, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
	end

	alpha = 1;
	show = DotTracker_PreCheck("B", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_DRUID_DotB;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_DRUID_DotB);
		if ( count == nil ) then
			text = string.format("3 "..DotTracker_DRUID_DotB);
		elseif ( count < 3 ) then
			sunderNeeded = 3 - count;
			text = string.format("%d "..DotTracker_DRUID_DotB, sunderNeeded);
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
			displayDot = true;
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_DRUID_DotBFeral);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextB, text, alpha, DotTracker_DotB_Frame, DotTracker_DotB_Frame_Text);
	end

	show, text, alpha = DotTracker_DotCheck("C", DotTracker_DRUID_DotC, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextC, text, alpha, DotTracker_DotC_Frame, DotTracker_DotC_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("D", DotTracker_DRUID_DotD, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextD, text, alpha, DotTracker_DotD_Frame, DotTracker_DotD_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("E", DotTracker_DRUID_DotE, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextE, text, alpha, DotTracker_DotE_Frame, DotTracker_DotE_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("F", DotTracker_DRUID_DotF, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextF, text, alpha, DotTracker_DotF_Frame, DotTracker_DotF_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("G", DotTracker_DRUID_DotG, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextG, text, alpha, DotTracker_DotG_Frame, DotTracker_DotG_Frame_Text);
end


function DotTracker_HunterCheck()
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local text, displayDot, timeleft, show, targetLevel, alpha;

	targetLevel = UnitLevel("target");
	alpha = 1;

	show = DotTracker_PreCheck("A", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_HUNTER_DotA;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_HUNTER_DotAScorpid);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_HUNTER_DotASerpent);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		if ( displayDot == true ) then
			DotTracker_DotA_Frame_Icon:SetTexture(DotTracker_Dots.last_curse_icon);
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
	end
end


function DotTracker_MageCheck()
	local targetLevel, show, text, alpha;

	targetLevel = UnitLevel("target");

	show, text, alpha = DotTracker_DotCheck("A", DotTracker_MAGE_DotA, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
end


function DotTracker_PaladinCheck()
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local text, displayDot, timeleft, show, targetLevel, alpha;

	targetLevel = UnitLevel("target");
	alpha = 1;

	show = DotTracker_PreCheck("A", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_PALADIN_DotA;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_PALADIN_DotALight);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_PALADIN_DotAWisdom);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_PALADIN_DotAJustice);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotA = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotA, expires, duration);
			end
		end
		if ( displayDot == true ) then
			DotTracker_DotA_Frame_Icon:SetTexture(DotTracker_Dots.last_curse_icon);
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
	end
end


function DotTracker_PriestCheck()
	local targetLevel, show, text, alpha;

	targetLevel = UnitLevel("target");

	show, text, alpha = DotTracker_DotCheck("A", DotTracker_PRIEST_DotA, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("B", DotTracker_PRIEST_DotB, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextB, text, alpha, DotTracker_DotB_Frame, DotTracker_DotB_Frame_Text);

	show, text, alpha = DotTracker_DotCheck("C", DotTracker_PRIEST_DotC, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextC, text, alpha, DotTracker_DotC_Frame, DotTracker_DotC_Frame_Text);
end


function DotTracker_ShamanCheck()
	local targetLevel, show, text, alpha;

	targetLevel = UnitLevel("target");

	show, text, alpha = DotTracker_DotCheck("A", DotTracker_SHAMAN_DotA, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
end


function DotTracker_WarlockCheck()
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local text, displayDot, timeleft, show, targetLevel, alpha;

	targetLevel = UnitLevel("target");

	show, text, alpha = DotTracker_DotCheck("A", DotTracker_WARLOCK_DotA, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);

	alpha = 1;
	show = DotTracker_PreCheck("B", targetLevel);
	if ( show == true ) then
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotB);
		text = DotTracker_Dots.last_immolate_text;
		displayDot = true;
		if ( count == nil ) then					
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_immolate_icon = "Interface\\Icons\\Spell_fire_immolation";
				DotTracker_Dots.last_immolate_text = DotTracker_WARLOCK_DotB;
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotBUnstable);
		if ( count == nil ) then					
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_immolate_icon = "Interface\\Icons\\Spell_shadow_unstableaffliction_3";
				DotTracker_Dots.last_immolate_text = DotTracker_WARLOCK_DotBUnstable;
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
		end
		if ( displayDot == true ) then
			DotTracker_DotB_Frame_Icon:SetTexture(DotTracker_Dots.last_immolate_icon);
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextB, text, alpha, DotTracker_DotB_Frame, DotTracker_DotB_Frame_Text);
	end

	alpha = 1;
	show = DotTracker_PreCheck("C", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_WARLOCK_DotC;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotCElements);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_curse_icon = "Interface\\Icons\\Spell_shadow_chilltouch";
				displayDot, alpha, text, DotTracker_Setting.reminderDotC = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotC, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_JINX);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_curse_icon = "Interface\\Icons\\Spell_shadow_chilltouch";
				displayDot = false;
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotCTongues);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_curse_icon = "Interface\\Icons\\Spell_shadow_curseoftounges";
				displayDot, alpha, text, DotTracker_Setting.reminderDotC = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotC, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotCWeakness);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_curse_icon = "Interface\\Icons\\Spell_shadow_curseofmannoroth";
				displayDot, alpha, text, DotTracker_Setting.reminderDotC = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotC, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotCExhaustion);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_curse_icon = "Interface\\Icons\\Spell_shadow_grimward";
				displayDot, alpha, text, DotTracker_Setting.reminderDotC = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotC, expires, duration);
			end
		end
		if ( displayDot == true ) then
			DotTracker_DotC_Frame_Icon:SetTexture(DotTracker_Dots.last_curse_icon);	
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextC, text, alpha, DotTracker_DotC_Frame, DotTracker_DotC_Frame_Text);
	end


	show, text, alpha = DotTracker_DotCheck("D", DotTracker_WARLOCK_DotD, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextD, text, alpha, DotTracker_DotD_Frame, DotTracker_DotD_Frame_Text);


	alpha = 1;
	show = DotTracker_PreCheck("E", targetLevel);
	if ( show == true ) then
		displayDot = true;
		text = DotTracker_WARLOCK_DotE;
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_BANE_OF_HAVOC);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotE = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotE, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotEAgony);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				DotTracker_Dots.last_bane_icon = "Interface\\Icons\\Spell_shadow_curseofsargeras";
				displayDot, alpha, text, DotTracker_Setting.reminderDotE = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotE, expires, duration);
			end
		end
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotEDoom);
		if ( count == nil ) then
		else
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotE = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotE, expires, duration);
				DotTracker_Dots.last_bane_icon = "Interface\\Icons\\Spell_shadow_auraofdarkness";
			end
		end
		if ( displayDot == true ) then
			DotTracker_DotE_Frame_Icon:SetTexture(DotTracker_Dots.last_bane_icon);	
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextE, text, alpha, DotTracker_DotE_Frame, DotTracker_DotE_Frame_Text);
	end

	show, text, alpha = DotTracker_DotCheck("F", DotTracker_WARLOCK_DotF, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextF, text, alpha, DotTracker_DotF_Frame, DotTracker_DotF_Frame_Text);

	alpha = 1;
	show = DotTracker_PreCheck("G", targetLevel);
	if ( show == true ) then
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARLOCK_DotG);
		displayDot = true;
		if ( count == nil ) then
			text = string.format("3 "..DotTracker_WARLOCK_DotG);
		elseif ( count < 3 ) then
			sunderNeeded = 3 - count;
			text = string.format("%d "..DotTracker_WARLOCK_DotG, sunderNeeded);
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotG = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotG, expires, duration);
			end
			displayDot = true;
		else
			text = DotTracker_WARLOCK_DotG;
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotG = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotG, expires, duration);
			end
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextG, text, alpha, DotTracker_DotG_Frame, DotTracker_DotG_Frame_Text);
	end
end


function DotTracker_WarriorCheck()
	local name, rank, icon, count, dispeltype, duration, expires, caster, isStealable;
	local text, sunderNeeded, displayDot, timeleft, show, targetLevel, alpha;

	targetLevel = UnitLevel("target");

	show = true;
	if ( DotTracker_Options.stanceCheck == true ) then
		if ( DotTracker_Dots.stance == 3 ) then
			show = false;
		end
	end
	if ( show == true ) then
		show, text, alpha = DotTracker_DotCheck("A", DotTracker_WARRIOR_DotA, targetLevel);
		DotTracker_ShowFrame(show, DotTracker_Setting.showTextA, text, alpha, DotTracker_DotA_Frame, DotTracker_DotA_Frame_Text);
	end

	alpha = 1;
	show = DotTracker_PreCheck("B", targetLevel);
	if ( show == true ) then
		name, rank, icon, count, dispeltype, duration, expires, caster, isStealable = UnitDebuff("target", DotTracker_WARRIOR_DotBSunder);
		displayDot = true;
		if ( count == nil ) then
			text = string.format("3 "..DotTracker_WARRIOR_DotB);
		elseif ( count < 3 ) then
			sunderNeeded = 3 - count;
			text = string.format("%d "..DotTracker_WARRIOR_DotB, sunderNeeded);
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
			displayDot = true;
		else
			text = DotTracker_WARRIOR_DotB;
			if ( caster == "player" ) then
				displayDot, alpha, text, DotTracker_Setting.reminderDotB = DotTracker_ReminderCheck(text, DotTracker_Setting.reminderDotB, expires, duration);
			end
		end
		DotTracker_ShowFrame(displayDot, DotTracker_Setting.showTextB, text, alpha, DotTracker_DotB_Frame, DotTracker_DotB_Frame_Text);
	end

	show = true;
	if ( DotTracker_Options.stanceCheck == true ) then
		if ( DotTracker_Dots.stance == 2 ) then
			show = false;
		end
	end
	if ( show == true ) then
		show, text, alpha = DotTracker_DotCheck("C", DotTracker_WARRIOR_DotC, targetLevel);
		DotTracker_ShowFrame(show, DotTracker_Setting.showTextC, text, alpha, DotTracker_DotC_Frame, DotTracker_DotC_Frame_Text);
	end

	show = true;
	if ( DotTracker_Options.stanceCheck == true ) then
		if ( DotTracker_Dots.stance == 3 ) then
			show = false;
		end
	end
	if ( show == true ) then
		show, text, alpha = DotTracker_DotCheck("D", DotTracker_WARRIOR_DotD, targetLevel);
		DotTracker_ShowFrame(show, DotTracker_Setting.showTextD, text, alpha, DotTracker_DotD_Frame, DotTracker_DotD_Frame_Text);
	end

	show, text, alpha = DotTracker_DotCheck("E", DotTracker_WARRIOR_DotE, targetLevel);
	DotTracker_ShowFrame(show, DotTracker_Setting.showTextE, text, alpha, DotTracker_DotE_Frame, DotTracker_DotE_Frame_Text);
end


