DotTracker_Config = nil;

DotTracker_Setting_table = {
	type = "group",
	args = {
		lock = {
			type = "toggle",
			order = 1,
			name = DotTRACKER_TOOLTIP_LOCKED,
			set = function(info, val) 
				DotTracker_Options.lock = val 
				DotTracker_StoreSpec(DotTracker_Dots.spec)
			end,
			get = function(info) return DotTracker_Options.lock end
		},
		setUI = {
			type = "toggle",
			order = 1,
			name = DotTracker_OPTIONS_SET_UI,
			desc = DotTracker_OPTIONS_SHOW_ALL_FRAMES_TO_SO_YOU_TO_SET_UP_YOUR_UI,
			set = function(info, val) 
				DotTracker_Dots.setupUI = val 
			end,
			get = function(info) return DotTracker_Dots.setupUI end
		},
		settings = {
			type = "group",
			order = 98,
			name = DotTRACKER_SETTINGS,
			args = {
				tooltip = {
					type = "toggle",
					order = 16,
					name = DotTRACKER_TOOLTIP,
					set = function(info, val) 
						DotTracker_Options.tooltip = val 
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.tooltip end
				},
				textOn = {
					type = "execute",
					order = 1,
					name = DotTracker_OPTIONS_SET_ALL_TEXT_ON,
					func = function(info) DotTracker_SetAllText(true) end 
				},
				textOff = {
					type = "execute",
					order = 2,
					name = DotTracker_OPTIONS_SET_ALL_TEXT_OFF,
					func = function(info) DotTracker_SetAllText(false) end 
				},
				veh = {
					type = "toggle",
					order = 3,
					name = DotTracker_OPTIONS_SHOW_IN_VEHICLE,
					set = function(info, val) 
						DotTracker_Options.showInVehicle = val 
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.showInVehicle end
				},
				widthType = {
					type = "select",
					order = 4,
					name = DotTracker_OPTIONS_WIDTHTYPE,
					values = {
						[0] = DotTracker_OPTIONS_WIDTHA,
						[1] = DotTracker_OPTIONS_WIDTHB,
						[2] = DotTracker_OPTIONS_WIDTHC,
						[3] = DotTracker_OPTIONS_WIDTHD,
						[4] = DotTracker_OPTIONS_WIDTHE
					},
					set = function(info, val) 
						DotTracker_Options.widthType = val 
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.widthType end
				},
				minWidth = {
					type = "range",
					order = 5,
					min = 50,
					max = 300,
					step = 1,
					name = DotTracker_OPTIONS_MINWIDTH,
					set = function(info, val) 
						DotTracker_Options.minWidth = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.minWidth end
				},
				widthA = {
					type = "range",
					order = 6,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(1)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthA = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthA end
				},
				widthB = {
					type = "range",
					order = 7,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(2)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthB = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthB end
				},
				widthC = {
					type = "range",
					order = 8,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(3)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthC = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthC end
				},
				widthD = {
					type = "range",
					order = 9,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(4)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthD = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthD end
				},
				widthE = {
					type = "range",
					order = 10,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(5)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthE = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthE end
				},
				widthF = {
					type = "range",
					order = 11,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(6)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthF = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthF end
				},
				widthG = {
					type = "range",
					order = 12,
					min = 50,
					max = 300,
					step = 1,
					name = function(info) 
						return string.format(DotTracker_Setting_ClassRef(7)..": "..DotTracker_WIDTH)
					end,
					set = function(info, val) 
						DotTracker_Setting.widthG = val
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.widthG end
				},
				stance = {
					type = "toggle",
					order = 13,
					name = DotTracker_OPTIONS_STANCE_CHECK,
					set = function(info, val) 
						DotTracker_Options.stanceCheck = val 
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.stanceCheck end
				},
				reminderAlpha = {
					type = "range",
					order = 14,
					min = 0,
					max = 1,
					step = 0.01,
					name = DotTRACKER_OPTIONS_REMINDER_ALPHA,
					desc = DotTRACKER_OPTIONS_REMINDER_ALPHA_DESC,
					set = function(info, val) 
						DotTracker_Options.reminderAlpha = val
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.reminderAlpha end
				},
				fade = {
					desc = DotTracker_OPTIONS_REMINDER_FADE_UP_DESC,
					type = "toggle",
					order = 15,
					name = DotTracker_OPTIONS_REMINDER_FADE_UP,
					set = function(info, val) 
						DotTracker_Options.reminderFadeUp = val 
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.reminderFadeUp end
				}
			}
		},
		beta = {
			type = "group",
			order = 99,
			name = DotTracker_BETA,
			desc = DotTracker_BETA_NOT_WORKING,
			args = {
				frame = {
					type = "toggle",
					desc = DotTracker_BETA_NOT_WORKING,
					name = DotTracker_OPTIONS_SHOW_FRAMES,
					set = function(info, val) 
						DotTracker_Options.showFrames = val 
						DotTracker_Frame_Size()
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.showFrames end
				},
				alpha = {
					desc = DotTracker_BETA_NOT_WORKING,
					type = "range",
					min = 0,
					max = 1,
					name = DotTRACKER_OPTIONS_ALPHALABEL,
					set = function(info, val) 
						DotTracker_Options.alpha = val
						DotTracker_Frame:SetAlpha(val)
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Options.alpha end
				},
				combatOnly = {
					desc = DotTracker_BETA_NOT_WORKING,
					type = "toggle",
					name = DotTracker_OPTION_COMBATONLY,
					set = function(info, val) 
						DotTracker_Setting.combatOnly = val 
						DotTracker_StoreSpec(DotTracker_Dots.spec)
					end,
					get = function(info) return DotTracker_Setting.combatOnly end
				}
			}
		},
		dot = {
			order = 2,
			type = "group",
			name = DotTracker_DOTS,
			args = {
				dotA = {
					order = 1,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(1) end,
					args = {
						showDotA = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotA = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotA end
						},
						remDotA = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotA = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotA)
							end,
							pattern = "%d"
						},
						lvlDotA = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotA = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotA end
						},
						textA = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextA = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextA end
						}
					}
				},
				dotB = {
					order = 2,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(2) end,
					args = {
						showDotB = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotB = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotB end
						},
						remDotB = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotB = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotB)
							end,
							pattern = "%d"
						},
						lvlDotB = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotB = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotB end
						},
						textB = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextB = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextB end
						}
					}
				},
				dotC = {
					order = 3,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(3) end,
					args = {
						showDotC = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotC = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotC end
						},
						remDotC = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotC = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotC)
							end,
							pattern = "%d"
						},
						lvlDotC = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotC = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotC end
						},
						textC = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextC = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextC end
						}
					}
				},
				dotD = {
					order = 4,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(4) end,
					args = {
						showDotD = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotD = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotD end
						},
						remDotD = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotD = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotD)
							end,
							pattern = "%d"
						},
						lvlDotD = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotD = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotD end
						},
						textD = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextD = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextD end
						}
					}
				},
				dotE = {
					order = 5,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(5) end,
					args = {
						showDotE = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotE = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotE end
						},
						remDotE = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotE = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotE)
							end,
							pattern = "%d"
						},
						lvlDotE = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotE = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotE end
						},
						textE = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextE = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextE end
						}
					}
				},
				dotF = {
					order = 6,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(6) end,
					args = {
						showDotF = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotF = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotF end
						},
						remDotF = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotF = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotF)
							end,
							pattern = "%d"
						},
						lvlDotE = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotF = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotF end
						},
						textF = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextF = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextF end
						}
					}
				},
				dotG = {
					order = 7,
					type = "group",
					name = function(info) return DotTracker_Setting_ClassRef(7) end,
					args = {
						showDotG = {
							type = "toggle",
							order = 1,
							name = "Show",
							set = function(info, val) 
								DotTracker_Setting.showDotG = val 
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showDotG end
						},
						remDotG = {
							type = "input",
							order = 2,
							name = "Reminder - sec",
							set = function(info, val) 
								DotTracker_Setting.reminderDotG = tonumber(val)
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) 
								return string.format("%d", DotTracker_Setting.reminderDotG)
							end,
							pattern = "%d"
						},
						lvlDotG = {
							type = "range",
							order = 3,
							min = -1,
							max = 90,
							step = 1,
							name = DotTRACKER_OPTIONS_LVL_MIN,
							set = function(info, val) 
								DotTracker_Setting.minLevelDotG = val
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.minLevelDotG end
						},
						textG = {
							type = "toggle",
							order = 4,
							name = DotTracker_OPTIONS_TEXT,
							set = function(info, val)
								DotTracker_Setting.showTextG = val
								DotTracker_Frame_Size()
								DotTracker_StoreSpec(DotTracker_Dots.spec)
							end,
							get = function(info) return DotTracker_Setting.showTextG end
						}
					}
				}
			}
		}
	}
};
